Packages - Bug #2816

linux-libre kernel 5.7.2-1 does not boot with UEFI and some AMD GPUs
2020-06-22 03:46 PM - nona

Status: confirmed % Done: 100%
Priority: bug

Assignee: Megver83

Category:

Description

Hi.

| have cryptsetup when | boot. For a long time, | have not been able to see the prompt to input the password, but | can still boot (it's
there, | just don't see it). | upgraded my system yesterday, and when | tried to boot today, | realised that the computer would not boot;
it would not move from the blank screen that | regularly see.

| restarted the computer, and added "nomodeset' to the linux-libre kernel line of GRUB. That allowed me to boot, but | cannot log-in
to a graphical interface. | restarted again and tried without the "nomodeset’ with linux-libre-lts, but | could not boot.

After adding ‘nomodeset' to the linux-libre kernel again, | downgraded linux-libre to 5.6.12-1 and was able to boot in my regular and
unorthodox method (blank screen, type in my cryptsetup password blindly).

| don't know what information is required, but | have an AMD Ryzen 2500 which comes embedded with a Vega 8 graphics card. My
kernel line is

linux /vmlinuz-linux—-libre-1ts root=<<my-root>> rw cryptdevice=<<my-device>> resume=<<my-resum
e>> spec_store_bypass_disable=on quiet splash fbcon=font:TER16x32

the specs from Ispci for my Grahpics card are

[AMD/ATI] Raven Ridge [Radeon Vega Series / Radeon Vega Mobile Series] [1002:15dd]

the specs for my cpu from Iscpu are

AMD Ryzen 5 2500U with Radeon Vega Mobile Gfx

Flags: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat

pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpelgb rdtscp lm constant_tsc rep_
good nopl nonstop_tsc cpuid extd_apicid aperfmperf pni pclmulgdg monitor ssse3 fma cx16 ssed4_1 sse
4_2 movbe popcnt aes xsave avx fl6c rdrand lahf_lm cmp_legacy svm extapic cr8_legacy abm sseda mis
alignsse 3dnowprefetch osvw skinit wdt tce topoext perfctr_core perfctr_nb bpext perfctr_llc mwait
x cpb hw_pstate sme ssbd sev vmmcall fsgsbase bmil avx2 smep bmi2 rdseed adx smap clflushopt sha_n
1 xsaveopt xsavec xgetbvl xsaves clzero irperf xsaveerptr arat npt lbrv svm_lock nrip_save tsc_sca
le vmcb_clean flushbyasid decodeassists pausefilter pfthreshold avic v_vmsave_vmload vgif overflow
_recov succor smca

History

#1 - 2020-06-26 05:50 PM - bill-auger

- Assignee set to Megver83

#2 - 2020-06-26 05:54 PM - bill-auger

this looks to me pretty much of a duplicate of #1750 which was posted two years ago by the same person - that one is still open marked: 'info-needed’
nona -

is this essentially the same problem as #17507? - is it the same ryzen computer? - if so, we should close this ticket and continue the discussion with
#1750 - otherwise, you noted in #1750 that the original problem was fixed, so maybe this is a different problem, and #1750 should be closed instead

#3 - 2020-06-26 11:50 PM - nona

2024-03-13 1/5



https://labs.parabola.nu/issues/1750
https://labs.parabola.nu/issues/1750
https://labs.parabola.nu/issues/1750
https://labs.parabola.nu/issues/1750
https://labs.parabola.nu/issues/1750

No, bill, it's not the same issue. It is the same computer. The behaviour now is that the system does NOT take my password unless | downgrade. As |
mentioned:

...For a long time, I have not been able to see the prompt to input the password, but I can still boot...

About bug #1750, | still don't know why it is still marked as info needed, if | already provided everything which was requested, and nobody has asked
me for more. | guessed it was not a priority.

Thanks.

#4 - 2020-06-27 01:00 AM - Megver83

do you have the same problem without cryptsetup?

#5 - 2020-06-27 05:11 AM - nona

Since

1. This only happens after | install linux-libre 5.7.2-1-x86_64

2.1 can boot with ‘nomodeset' with linux-libre 5.7.2-1-x86_64

3.1 can go back to 5.6.12-1.x86_64 or linux-libre-Its 5.4.41-1_x86_64
| guess that the answer is yes.

My whole disk is encrypted. | hope that there is a way to test this without uninstalling my whole system (including my personal files and configuration).

#6 - 2020-06-27 05:40 AM - bill-auger

the first thing i would try is to remove "quiet splash focon=font:TER16x32" from the grub command - that may reveal some information, either with or
without nomodeset

i have seen it suggested, that if some laptops have a black screen while booting, you can shine a flashlight on the screen and you may see that the
display is actually working but the backlight is off

#7 - 2020-06-27 03:01 PM - nona
Hi, bill.

1. Removing “quiet splash' shows some messages before the rest of the messages are suppressed.
2. With "nomodeset' | see the whole list of messages in the boot process
3. fbcon=fontNTER16x32' makes no difference except in the font size
4. Leaving the kernel line as it is with 5.6.12-1-x86_64 and 5.7.2-1-x86_64, | know that the screen is on (backlight is not interfering in any way)
5. It seems that 5.7.2-1-x86_64 disables my keyboard
1.1f linstall 5.6.12-1-x86_64, | can hit [CTRL] + [ALT] + [DEL] to restart the computer
2. with 5.7.2-1-x86_64, [CTRL] + [ALT] + [DEL] does nothing
6. As in #1750, | can still see (without "quiet splash' or with 'nomodeset') the message
AMD-Vi: Unable to read/write to IOMMU perf count

Thanks.

#8 - 2020-06-28 01:24 AM - bill-auger
On Sat, 27 Jun 2020 15:01:27 +0000 labs@parabola.nu wrote:

It seems that 5.7.2-1-x86_64
disables my keyboard

when i rebooted a few moments ago, kernel 5.7.2-gnu-1, my
keyboard was not working either - even the caps-lock key
would not toggle the LED

i have two keyboards and im not sure if that made any
difference; i did not try the other one at first - i

waited at the login prompt for about a minute, then i
pressed a key on the other keyboard, then they were
both working

#9 - 2020-06-28 02:23 AM - nona

That is super interesting. | currently do not have an external keyboard, but seems like a step forward. Let me know if | can help :) . May be if | play
around with the “mkinitcpio.conf' hooks? | have these right now:

HOOKS= ("base" "udev" "keyboard" "keymap" "autodetect" "modconf" "block" "consolefont" "encrypt" "lvm2" "resume
" "filesystems" "fsck" "shutdown")
#10 - 2020-06-28 03:39 AM - bill-auger

do you have a USB wifi or anything else plugged in? - i also
noticed that the USB wifi thingy would not activate - i had to
unplug it and plug it in again to get the system to recognize

i dont know that there is any good suggestion in that - just

a clue perhaps - maybe just try booting with nothing extra
plugged in, and wait 5 minutes before trying to log in - just to
see if it maybe will accept the keyboard input eventually

#11 - 2020-06-28 06:03 PM - nona
Nope, nothing is plugged in. | tried the hint about the 5 minutes, but still nothing. Thanks.

#12 - 2020-07-13 03:04 PM - nona

| contacted the linux-libre mailing list and did some other tests:

1 Loading amdgpu early in the grub

—
| GRUB_PRELOAD_MODULES="amdgpu ...

Listing 1: Adding amdgpu as preloaded module in “/etc/default/grub' does not have an effect (blank screen, no cryptsetup prompt)

2 Removing amdgpu

—_—
| MODULES=()

[

Listing 2: Removing amdgpu in “/etc/mkinitcpio.conf' and uninstalling “xf86-video-amdgpu' shows up to some lines of OpenRC.

—_—
| # pacman -Rnucs xf86-video-amdgpu
[

2.1 Adding “nomodeset' to the kernel line

Adding ‘nomodeset' to the kernel line eventually clears the screen and shows a static underscore at the top left corner. If | type-in my user password
(with the blank screen) and follow the process to shutdown as if | had logged in (without being able to see anything), the computer actually shuts
down. That indicates that the boot process completes, but | have nothing on screen except for the underscore.

#13 - 2020-07-14 01:13 AM - bill-auger

the current is linux-libre-5.7.8 now - can someone try it and confirm if the problem is still present

#14 - 2020-07-14 03:35 AM - nona

Thank you, bill. I can confirm that it also happens with the new kernel.

May be this should be moved upstream?
cannot boot with linux-libre>=5.7, amdgpu and cryptsetup

Hardware/research/gpu/radeon

You know, bill? | really appreciate all the effort that you make to keep this forum working! Thank you :).

#15 - 2020-07-14 01:42 PM - bill-auger

/me is becoming an expert cat-herder :)

#16 - 2020-09-24 05:56 AM - bill-auger
is this still a problem with 5.8.5 ?

#17 - 2020-09-24 05:46 PM - nona

yes, still there

#18 - 2020-10-18 04:45 AM - nona

| updated my system yesterday. It is completely broken. The only way that | have to log in is by adding modeprobe.blacklist=radeon
modeprobe.blacklist=amdgpu to the kernel line on the boot loader. This leaves me without any graphical user interface. | tried to roll-back all changes
by checking my pacman.log and using the previous packages, but even that did not work. Any help would be appreciated. Otherwise, | will thank you
for all these years and will have to wave good bye my freedom to start using a non-libre linux.
#19 - 2020-10-26 03:46 AM - nona
Oof! After long days, | found out that VESA is not able to start with UEFI (/var/log/Xorg.0.log). Why? | don't know. Here is a hint:

https://centos.pkgs.org/7/centos-x86_64/xorg-x11-drv-vesa-2.4.0-3.el7.x86_64.rpm.html
- Refuse to run on UEFI framebuffers

To figure this out, | went through many hoops, including (you can safely skip this if you are a regular user):

- modprobe.blacklist=amdgpu is usually enough as a parameter in the kernel line to prevent a non-working screen and to drop into a command line
(may need CTRL + ALT + F2)

- creating many LiveUSB with many Parabola's and other distro's ISOs

- booting parabola-x86_64-systemd-Ixde-2019.06-pre-complete.iso (with the parameter mentioned earlier) with BIOS boot (not UEFI; this is super
important)

- using Calamares (nothing else works, really) to install into an external HDD (USB memory sticks do not work, because they don't show up during
installation).

- downgrade to 5.4.69-gnu-1-lts

To solve it (hopefully, it will boot after | restart):

- create a LiveUSB and boot with BIOS (not UEFI)

- go to your /boot/grub/grub.cfg and copy one of the previously-working entries

- install Parabola into an external hard drive

- add the previously-working entry into the new /boot/grub/grub.cfg

- boot from the external hard drive into the previously-working system

- remove amdgpu from MODULES in /etc/mkinitcpio.conf

- run mkinitcpio p<yeukernel>—{ex:mkinitepio—p-inux-libre-lis}

shrink an (unencrypted) partition in your system

- create a new partition and format it as BIOS boot with fdisk (type 4) or any other means
- run grub-install --target=i386-pc /dev/sdX (replace X with the letter for your hard drive)

- add GRUB_ENABLE_CRYPTODISK=y to your /etc/default/grub (it may complain otherwise)
- run grub-mkconfig e-beetigrublgrub-etfg

(optional) add modprobe.blacklist=amdgpu to kernel line

- reboot and face the non-working grub

- reboot with the LiveUSB into the system (again)

- remove the GRUB_ENABLE_CRYPTODISK=y from your /etc/default/grub

- run grub-install --target=i386-pc /dev/sdX

- run grub-mkconfig e-beetigrublgrub-etfg

reboot into your VESA-enabled (amdgpu-free) system

If in doubt:

- https://wiki.archlinux.org/index.php/GRUB#GUID_Partition_Table_.28GPT.29_specific_instructions

- https://www.rohlix.eu/post/linux-disk-encryption-with-bios-uefi-using-mbr-gpt-luks-lvm-and-grub/ (Linux: Full Disk Encryption with BIOS, UEFI using
MBR, GPT, LUKS, LVM and GRUB -- GRUB on BIOS with GPT)

#1685#2181#2816#1750#1819

This makes me shiver (without BIOS boot, my system won't work):
https://www.linux.org/threads/intel-ending-legacy-bios-support.30967/post-103083

This gives me hope:

"Warning: While the choice to install in UEFI mode is forward looking, early vendor UEFI implementations may c
arry more bugs than their BIOS counterparts. It is advised to do a search relating to your particular motherbo
ard model before proceeding." --- from

https://wiki.archlinux.org/index.php/Unified Extensible Firmware Interface

| refuse to mark this as solved. This is NOT a solution. | can still not use AMDGPU, it is working with VESA. | am of course humble enough to stand
corrected, if needed.

#20 - 2020-10-26 07:09 AM - bill-auger

FWIW, there is nothing wrong with so called "legacy" BIOS mode
- if the computer can boot in that mode, then EFl is a bloated
"YAGNI" feature, for 99% of computer users

it is very interesting that only the 2019 calamares ISO could
install a system that your computer could boot - that ISO is o/c
quite old now; but i left it there because some people can not
boot the others (for other reasons though - mostly libreboot
users) - it is interesting that there is yet another reason why
someone needed it

you are not the first person to have trouble running a libre

system on a ryzen computer - i could only recommended that
people avoid them - you may have just discovered an important
clue though - the next time someone can not boot parabola with a
ryzen computer, i will suggest to try it without EFI
#21 - 2020-10-29 11:06 PM - bill-auger

related to this forum thread maybe
https://labs.parabola.nu/boards/11/topics/589

#22 - 2020-10-30 02:09 AM - nona
Yes, one advantage of logging this activity is that others can benefit from it.

Regarding Calamares, the other alternatives would need internet connection, but | was dealing with (what | thought was) a backwards compatibility
situation. Meaning that | considered that a newer kernel and updated software would worsen the situation.

Also, my disk is fully encrypted and | did not want to risk the command grub-install --target=i386-pc /dev/sdX messing the encrypted headers. At the
end, it may be that one can simply do an arch-chroot into the decrypted filesystem within a Live system, make sure to create a bios_grub partition and
run such command without a risk (no mid-installation with Calamares needed).

It is important to note (again)

1. Blacklist (remove amdgpu from MODULES in /etc/mkinitcpio.conf or add modprobe.blacklist=amdgpu in the kernel line [1], and make sure it is not
part of the preloaded modules inside /etc/default/grub or the configuration file of the boot-loader--usually grub.cfg)

2. No (U)EFI. The VESA drivers do not load with (U)EFI

Cheers!
[1] For the uninformed, one refers to the kernel line as the directive of the boot loader (e.g. GRUB or Syslinux) which runs the GNU/Linux kernel. One
can usually modify the kernel line with [TAB] or [e] when the list of available operating systems show up when the computer starts. Adding

modprobe.blacklist=amdgpu at the end of the line prevents the drivers for AMDGPU to load, and forces the VESA drivers. In the case of GRUB, look
for the line starting with the word linux. For Syslinux, a line will usually show up at the bottom of the screen.

#23 - 2021-03-09 03:18 AM - nona

- Status changed from unconfirmed to confirmed

confirmed as per https:/labs.parabola.nu/boards/11/topics/589?r=601#message-601

#24 - 2021-03-09 03:21 AM - nona

- Subject changed from cannot boot with linux-libre kernel 5.7.2-1 and cryptsetup to linux-libre kernel 5.7.2-1 does not boot with UEFI and some AMD
GPUs

Renamed
cannot boot with linux-libre kernel 5.7.2-1 and cryptsetup — linux-libre kernel 5.7.2-1 does not boot with UEFI and some AMD GPUs

#25 - 2021-11-16 04:20 AM - nona
- % Done changed from 0 to 100

linux-libre (5.14.11-gnu-1)

xf86-video-amdgpu (21.0.0-2)

vulkan-tools (1.2.194-1)

amdvlk (2021.Q4.1-1)

Removed /etc/modprobe.d/amdgpu-blacklist.conf

Added MODULES=(amdgpu radeon) to /etc/mkinitcpio.conf
(kernel line has no instructions related to amdgpu nor iommu)

The system boots, but it has the old behaviour: black screen to input cryptsetup password and one has to guess when the login screen shows up (it
may be that a graphical greeter would work better for this scenario).

#26 - 2022-09-03 07:37 PM - bill-auger

just for documentation, this problem was with a "Radeon Vega" GPU?

$ lspci | grep -i vga
03:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Raven Ridge [Radeon Vega Series / Ra
deon Vega Mobile Series] (rev c4)

#27 - 2022-09-03 07:45 PM - nona

Yes, still is.
